##### 7.5.23.0. allExtOfRight

Procedure from library `purityfiltration.lib` (see purityfiltration_lib).

Usage:
  allExtOfRight(R), R matrix representing the right Module M=D^q/RD^p over a ring D
  M module with finite right projective dimension n

Return:
  list, entries are ext-modules

Purpose:
  computes a list T, which entries are representations of the left modules ext^i(M,D)
  T[i] gives the repr. matrix of ext^(i-1)(M,D), i=1,..,n+1

Example:

    LIB "purityfiltration.lib";
    ring D = 0,(x,y,z),dp;
    matrix R[6][4]=
    0,-2*x,z-2*y-x,-1,
    0,z-2*x,2*y-3*x,1,
    z,-6*x,-2*y-5*x,-1,
    0,y-x,y-x,0,
    y,-x,-y-x,0,
    x,-x,-2*x,0;
    // coker(R) considered as right module
    projectiveDimension(R,1)[2];
    ==> 1
    list T=allExtOfRight(R);
    print(T[1]);
    ==> 4x,
    ==> -4y,
    ==> -z,
    ==> z
    print(T[2]);
    ==> 1,0,0,   0,0,   0,
    ==> 0,0,4y-z,0,4x-z,0,
    ==> 0,z,0,   y,0,   x
    // left modules coker(.T[i])!!

User manual for Singular version 4.4.1, 2025, generated by texi2html.